Latest 1.0.8
Homepage https://github.com/lixiang1994/Spring
License MIT
Platforms ios 9.0, requires ARC
Frameworks UIKit, Foundation
Authors

Spring – Animation

Swift

天朝子民

Features

  • [x] Chained grammar.
  • [x] No inheritance required.
  • [x] Lightweight expansion.
  • [x] Based on UIViewAnimation.
  • [x] No code intrusion.

Installation

CocoaPods – Podfile

pod 'SpringAnimation'

Carthage – Cartfile

github "lixiang1994/Spring"

Usage

First make sure to import the framework:

import SpringAnimation

Here are some usage examples. All devices are also available as simulators:

Chaining

 animationView.spring
  .opacity(0.1)
  .scale(0.8, 0.8)
  .duration(2)
  .curve(.easeOutQuad)
  .animate()

Functions

animate()
animateNext { ... }
animateTo()
animateToNext { ... }

Animation

shake
pop
morph
squeeze
wobble
swing
flipX
flipY
fall
squeezeLeft
squeezeRight
squeezeDown
squeezeUp
slideLeft
slideRight
slideDown
slideUp
fadeIn
fadeOut
fadeInLeft
fadeInRight
fadeInDown
fadeInUp
zoomIn
zoomOut
flash

Curve

spring
linear
easeIn
easeOut
easeInOut

Properties

force
duration
delay
damping
velocity
repeatCount
scale
x
y
rotate

* Not all properties work together.

Reference

Spring

Contributing

If you have the need for a specific feature that you want implemented or if you experienced a bug, please open an issue.
If you extended the functionality of Spring yourself and want others to use it too, please submit a pull request.

License

Spring is under MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "SpringAnimation",
    "version": "1.0.8",
    "summary": "u4e00u4e2au7b80u5355u6613u7528u7684iOSu94feu5f0fu52a8u753bu6269u5c55u5e93 Swift",
    "homepage": "https://github.com/lixiang1994/Spring",
    "license": {
        "type": "MIT",
        "file": "LICENSE"
    },
    "authors": {
        "LEE": "[email protected]"
    },
    "platforms": {
        "ios": "9.0"
    },
    "source": {
        "git": "https://github.com/lixiang1994/Spring.git",
        "tag": "1.0.8"
    },
    "source_files": "Sources/**/*.swift",
    "requires_arc": true,
    "frameworks": [
        "UIKit",
        "Foundation"
    ],
    "swift_versions": [
        "4.2",
        "5.0"
    ]
}

Pin It on Pinterest

Share This